Permalink
Browse files

- Fix docs given new releases and wsgiref.

- Prep for 0.2.

- Use git update for theme.
  • Loading branch information...
mcdonc committed Dec 15, 2011
1 parent ed144bd commit fa3649cc9ece858ff07575cc5f07e6433dd829d3
Showing with 37 additions and 6 deletions.
  1. +6 −2 CHANGES.txt
  2. +1 −1 docs/_themes
  3. +21 −1 docs/conf.py
  4. +7 −0 docs/index.rst
  5. +2 −2 setup.py
View
@@ -1,8 +1,12 @@
-Next release
-============
+0.2 (2011-12-14)
+================
- Made scaffolding compatible with ``pcreate`` for Pyramid 1.3a2+.
+- Use ``egg:pyramid#wsgiref`` server instead of ``egg:Paste#http`` server.
+ This change will require users to use any of Pyramid 1.1.3, Pyramid 1.2.5,
+ or Pyramid 1.3a2+. Older minor versions in any of those series will fail.
+
- Updated the scaffold's version of ``jquery.mobile`` to version 1.0.
[WouterVH]
View
@@ -68,6 +68,26 @@
# searched for source files.
#exclude_dirs = []
+exclude_patterns = ['_themes/README.rst',]
+
+# Add and use Pylons theme
+if 'sphinx-build' in ' '.join(sys.argv): # protect against dumb importers
+ from subprocess import call, Popen, PIPE
+
+ p = Popen('which git', shell=True, stdout=PIPE)
+ git = p.stdout.read().strip()
+ cwd = os.getcwd()
+ _themes = os.path.join(cwd, '_themes')
+
+ if not os.path.isdir(_themes):
+ call([git, 'clone', 'git://github.com/Pylons/pylons_sphinx_theme.git',
+ '_themes'])
+ else:
+ os.chdir(_themes)
+ call([git, 'checkout', 'master'])
+ call([git, 'pull'])
+ os.chdir(cwd)
+
# The reST default role (used for this markup: `text`) to use for all
# documents.
#default_role = None
@@ -122,7 +142,7 @@
# here, relative to this directory. They are copied after the builtin
# static files, so a file named "default.css" will overwrite the builtin
# "default.css".
-html_static_path = ['.static']
+#html_static_path = ['.static']
# If not '', a 'Last updated on:' timestamp is inserted at every page
# bottom, using the given strftime format.
View
@@ -66,6 +66,13 @@ To run the generated application, use ``paster serve`` against the
$ paster serve MyApp/development.ini
+.. note::
+
+ If you get an exception while doing the above that relates to not being
+ able to find a "server runner" for ``egg:pyramid#wsgiref``, upgrade to
+ Pyramid 1.0.2, 1.1.3, 1.2.5, or 1.3a2+ or any later release in any of
+ those minor versions.
+
A server will be listening on port 6543. When you visit it, you will see
something like the following image:
View
@@ -24,11 +24,11 @@
README = CHANGES = ''
install_requires = [
- 'pyramid>=1.1.3dev', # requires wsgiref paste.server_runner entry point
+ 'pyramid>=1.1.3', # requires wsgiref paste.server_runner entry point
]
setup(name='pyramid_jqm',
- version='0.2dev',
+ version='0.2',
description=('a package which provides "starter" scaffolding for '
'creating a jQuery Mobile Pyramid application.'),
long_description=README + '\n\n' + CHANGES,

0 comments on commit fa3649c

Please sign in to comment.